declare_plugin("DC3 by ERIC AND PATRICK CUESTA",
{
displayName     = _("DC3"),
developerName   =   "Eagle Dynamics",

image     	 = "FC.bmp",
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,
fileMenuName = _("DC3"),

version		 = "1.5.5",
state		 = "installed",
info		 = _("DC3."),

InputProfiles =
{
    ["DC3"] = current_mod_path .. '/Input/DC3',
},


Skins	=
	{
		{
			name	= _("DC3"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("DC3"),
			dir			    = "Missions",
            training_ids    = {EN = 'SU-25T_video_EN', RU = 'SU-25T_video_RU', ES = 'SU-25T_video_ES'},
		},
	},		

LogBook =
	{
		{
			name		= _("DC3"),
			type		= "DC3",
		},
	},		
})

mount_vfs_texture_path(current_mod_path ..  "/Theme/ME")--for simulator loading window
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Textures/?")
mount_vfs_model_path    (current_mod_path ..  "/Cockpit/Shape")


local support_cockpit = current_mod_path..'/Cockpit/Scripts/'
dofile(current_mod_path..'/DC3.lua')
dofile(current_mod_path.."/Views.lua")
make_view_settings('DC3', ViewSettings, SnapViews)
mount_vfs_sound_path (current_mod_path.."/Sounds/")
----------------------------------------------------------------------------------------
make_flyable('DC3', current_mod_path..'/Cockpit/KneeboardLeft/',{nil, old = 54}, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------
plugin_done()
